.TH "Clamd client" "1" "February 12, 2009" "ClamAV 0.95.3" "Clam AntiVirus"
.SH "NAME"
.LP 
clamdscan \- scan files and directories for viruses using Clam AntiVirus Daemon
.SH "SYNOPSIS"
.LP 
clamdscan [options] [file/directory]
.SH "DESCRIPTION"
.LP 
clamdscan is a clamd client which may be used as a clamscan replacement. It accepts all the options implemented in clamscan but most of them will be ignored because its scanning abilities only depend on clamd.
.SH "OPTIONS"
.LP 

.TP 
\fB\-h, \-\-help\fR
Display help information and exit.
.TP 
\fB\-V, \-\-version\fR
Print version number and exit.
.TP 
\fB\-v, \-\-verbose\fR
Be verbose.
.TP 
\fB\-\-quiet\fR
Be quiet \- only output error messages.
.TP 
\fB\-\-stdout\fR
Write all messages (except for libclamav output) to the standard output (stdout).
.TP 
\fB\-\-config\-file=FILE\fR
Read clamd settings from FILE.
.TP 
\fB\-l FILE, \-\-log=FILE\fR
Save the scan report to FILE.
.TP 
\fB\-f FILE, \-\-file\-list=FILE\fR
Scan files listed line by line in FILE.
.TP 
\fB\-m, \-\-multiscan\fR
In multiscan mode several files are scanned in parallel, one for each available scan thread in clamd.
This is achieved either via MULTISCAN or IDSESSION requests, depending on the configuration and other options.
Can be combined with \-\-fdpass (see below)
.TP 
\fB\-\-remove\fR
Remove infected files. \fBBe careful.\fR
.TP 
\fB\-\-move=DIRECTORY\fR
Move infected files into DIRECTORY.
.TP 
\fB\-\-no\-summary\fR
Do not display summary at the end of scanning.
.TP
\fB\-\-reload\fR
Request clamd to reload virus database.
.TP
\fB\-\-fdpass\fR
Pass the file descriptor permissions to clamd. This is useful if clamd is running as a different user as it is faster than streaming the file to clamd.
Only available if connected to clamd via local(unix) socket.
.TP
\fB\-\-stream\fR
Forces file streaming to clamd. This is generally not needed as clamdscan detects automatically if streaming is required. This option only exists for debugging and testing purposes, in all other cases \-\-fdpass is preferred.
.SH "EXAMPLES"
.LP 
.TP 
(0) To scan a one file:

\fBclamdscan file\fR
.TP 
(1) To scan a current working directory:

\fBclamdscan\fR
.TP 
(2) To scan all files in /home:

\fBclamdscan /home\fR
.TP
(3) To scan a file when clamd is running as a different user:

\fBclamdscan \-\-fdpass ~/downloads\fR
.TP
(4) To scan from standard input:

\fBclamdscan \- <file_to_scan\fR
\fBcat file_to_scan | clamdscan \-\fR
.SH "RETURN CODES"
.LP 
0 : No virus found.
.TP 
1 : Virus(es) found.
.TP 
2 : An error occured.
.SH "CREDITS"
Please check the full documentation for credits.
.SH "AUTHOR"
.LP 
Tomasz Kojm <tkojm@clamav.net>
.SH "SEE ALSO"
.LP 
clamd(8), clamd.conf(5), clamscan(1), freshclam(1)
